E-posta Doğrulama
İlk e-posta adresi doğrulama işlemi için kullanılır. Kullanıcı daha önce e-posta doğrulama işlemi gerçekleştirmiş veya kullanılan bir e-posta adresini girmiş ise hata döner.
Authentication
x-auth + 2FA
HTTP Request
POST /user/profile/verify-email
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
email | string | true | - | E-posta adresi |
allowCampaignEmail | boolean | false | - | E-posta iletişim onayı |
Response Body Example
{
"challenge": {
"challengeId": "afwCoDcThJ7ooPUa",
"ts": 1761301096592,
"status": "PENDING",
"expire": 600,
"methodList": [
{
"id": "bWoU",
"name": "MAIL",
"expire": 120,
"renewStart": 80,
"hint": "m***l@gmail.com"
}
]
}
}
2FA complete response
{
"action": "VERIFY_EMAIL",
"challengeId": "afwCoDcThJ7ooPUa",
"execResult": {
"success": true
}
}
Errors
Sistemde kayıtlı e-posta adresi veya tanımlı sahte e-posta adresi sağlayıcılardan(test için @00.pe ve @ezfill.com sağlayıcılarını kullanabilirsiniz) birine ait e-posta girilir ise aşağıdaki hata döner.
{
"code": "11122",
"message": "E-posta adresi sistemde kayıtlı veya kullanıma kapalı"
}
Kullanıcı e-posta doğrulama işlemini daha önce gerçekleştirmiş ise aşağıdaki hata döner.
{
"code": "11123",
"message": "E-posta adresi doğrulaması daha önce tamamlandı"
}
Geçerli olmayan bir e-posta adresi girildiğinde aşağıdaki hata döner.
{
"code": "11101",
"message": "Hatalı veya eksik bilgi",
"data": {
"fields": ["email"]
}
}
Errors
INVALID_FIELDEMAIL_ALREADY_IN_USEEMAIL_ALREADY_VERIFIED